VERSION 5.00
Object = "*\A..\..\cwScreenRes\Project Files\cwScreenRes.vbp"
Begin VB.Form Form1 
   Caption         =   "Screen Resolution OCX Demo"
   ClientHeight    =   2175
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   2175
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer1 
      Interval        =   500
      Left            =   75
      Top             =   1725
   End
   Begin VB.CommandButton cmdReset 
      Cancel          =   -1  'True
      Caption         =   "&Reset"
      Default         =   -1  'True
      Height          =   315
      Left            =   2850
      TabIndex        =   11
      Top             =   1800
      Width           =   840
   End
   Begin VB.CommandButton cmdChange 
      Caption         =   "&Change"
      Height          =   315
      Left            =   3750
      TabIndex        =   10
      Top             =   1800
      Width           =   840
   End
   Begin cwScreenRes.ScreenRes ScreenRes 
      Left            =   4350
      Top             =   75
      _ExtentX        =   476
      _ExtentY        =   476
      Resolution      =   1024
      ColorCount      =   32
      Driver          =   1025
      DeviceName      =   "ATI2DVAA"
      Frequency       =   60
   End
   Begin VB.ComboBox cmbRes 
      Height          =   315
      Left            =   1725
      TabIndex        =   7
      Top             =   1350
      Width           =   2865
   End
   Begin VB.ComboBox cmbColor 
      Height          =   315
      Left            =   1725
      TabIndex        =   5
      Top             =   975
      Width           =   2865
   End
   Begin VB.Label lblWarning 
      Alignment       =   2  'Center
      Caption         =   "If you use a setting your card can't handle, HIT ESC!!!"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H000000FF&
      Height          =   390
      Left            =   75
      TabIndex        =   12
      Top             =   1725
      Width           =   2715
   End
   Begin VB.Label lblFreq 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   1725
      TabIndex        =   9
      Top             =   675
      Width           =   2865
   End
   Begin VB.Label Label7 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Frequency"
      Height          =   255
      Left            =   75
      TabIndex        =   8
      Top             =   675
      Width           =   1665
   End
   Begin VB.Label Label6 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Resolution"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   75
      TabIndex        =   6
      Top             =   1350
      Width           =   1665
   End
   Begin VB.Label Label5 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Color Depth"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   75
      TabIndex        =   4
      Top             =   975
      Width           =   1665
   End
   Begin VB.Label lblDriver 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   1725
      TabIndex        =   3
      Top             =   375
      Width           =   2865
   End
   Begin VB.Label Label3 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Driver ID"
      Height          =   255
      Left            =   75
      TabIndex        =   2
      Top             =   375
      Width           =   1665
   End
   Begin VB.Label lblDevice 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   1725
      TabIndex        =   1
      Top             =   75
      Width           =   2865
   End
   Begin VB.Label Label1 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Device Name"
      Height          =   255
      Left            =   75
      TabIndex        =   0
      Top             =   75
      Width           =   1665
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim PrevColor As Long
Dim PrevRes As Long
Private Sub Form_Load()
    LoadSettings
End Sub
Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    ' RESET THE ORIGINAL SETTINGS!!!
    cmdReset_Click
End Sub
Private Sub cmdReset_Click()
    ' Change the RES and COLOR back to PREV States
    ScreenRes.ColorCount = PrevColor
    ScreenRes.Resolution = PrevRes
    ' Reset the combo boxes
    SetCombos
End Sub
Private Sub cmdChange_Click()
' Change the COLOR settings to that in the combo...
    ScreenRes.ColorCount = Val(cmbColor.Text)
    ScreenRes.Resolution = Val(cmbRes.Text)
    If ScreenRes.ChangeResponse = respFailed Then
        ' If there's a problem changing to these settings...
        cmdReset_Click
        MsgBox "Failed To Implement Changes" & vbCrLf & _
                        "Your card may not support this color/res" & vbCrLf & _
                        "combination.", vbExclamation, "ERROR!"
        ' Reset the combos...
        SetCombos
    End If
End Sub
Private Sub LoadSettings()
    Dim X As Integer
    
    With ScreenRes
    ' Save the current color/resolution
        PrevColor = .ColorCount
        PrevRes = .Resolution
    
    ' Get the device info
        lblDevice = .DeviceName
        lblDriver = .Driver
        lblFreq = .Frequency & "hz"
    End With
        
    ' Set the combo boxes
            cmbColor.Clear
            cmbColor.AddItem "4 - 16 Colors"
            cmbColor.AddItem "8 - 256 Colors"
            cmbColor.AddItem "16 - 16 Bit"
            cmbColor.AddItem "24 - 24 Bit"
            cmbColor.AddItem "32 - 32 Bit"
            
            cmbRes.Clear
            cmbRes.AddItem "640x480 Resolution"
            cmbRes.AddItem "800x600 Resolution"
            cmbRes.AddItem "1024x768 Resolution"
            
            SetCombos
End Sub
Private Sub SetCombos()
    Dim X As Integer
    ' First, set the COLOR Combo to the current settings
    For X = 0 To cmbColor.ListCount - 1
        If Val(cmbColor.List(X)) = ScreenRes.ColorCount Then
            cmbColor.ListIndex = X
            Exit For
        End If
    Next X
    
    ' Now, lets do the same thing with the Resolution...
    For X = 0 To cmbColor.ListCount - 1
        If Val(cmbRes.List(X)) = ScreenRes.Resolution Then
            cmbRes.ListIndex = X
            Exit For
        End If
    Next X
End Sub
Private Sub Timer1_Timer()
    ' FLASH THE WARNING MESSAGE '
    Select Case Timer1.Interval
        Case 750
            Timer1.Interval = 250
            lblWarning.Visible = False
        Case Else
            Timer1.Interval = 750
            lblWarning.Visible = True
    End Select
End Sub
